﻿using Infragistics.Windows;
using Infragistics.Windows.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamTabControl_customButton
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        
        private void xtc_MouseWheel(object sender, MouseWheelEventArgs e)
        {
            var scrollAmount = e.Delta;
            var tabControl = (sender as XamTabControl);
            var selectedTabIndex = tabControl.SelectedIndex;

            if ((selectedTabIndex == tabControl.Items.Count - 1 && scrollAmount < 0) ||
                (selectedTabIndex == 0 && scrollAmount > 0))
                return;

            if (scrollAmount < 0)
                tabControl.SelectedIndex = selectedTabIndex + 1;
            else
                tabControl.SelectedIndex = selectedTabIndex - 1;
        }
    }
}
